<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<!-- on initialise le fichier XML -->
		<document>
			<LimeSurveyDocType>Survey</LimeSurveyDocType>
			<languages>
				<language>fr</language>
			</languages>
			<!-- les groupes de questions -->
			<groups>
				<fields>
					<fieldname>gid</fieldname>
					<fieldname>group_name</fieldname>
					<fieldname>group_order</fieldname>
					<fieldname>language</fieldname>
				</fields>
				<rows>
					<!-- on attaque le sous model 'rubrique' -->
					<xsl:for-each select="sp:rqeee">
						<row>
							<gid>
								<xsl:value-of select="position()"/>
							</gid>
							<group_name>
								<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'groups')"/>
							</group_name>
							<group_order>
								<xsl:value-of select="position()"/>
							</group_order>
							<language>fr</language>
						</row>
					</xsl:for-each>
				</rows>
			</groups>
			<!-- les questions -->
			<questions>
				<fields>
					<fieldname>qid</fieldname>
					<fieldname>gid</fieldname>
					<fieldname>title</fieldname>
					<fieldname>language</fieldname>
					<fieldname>type</fieldname>
					<fieldname>question</fieldname>
				</fields>
				<rows>
					<!-- on attaque le sous model 'rubrique' -->
					<xsl:for-each select="sp:rqeee">
						<!-- on stocke la position du groupe dans une variable de dialogue -->
						<xsl:value-of select="execute(setDialogVar('PositionGroup', position()))"/>
						<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'questions')"/>
					</xsl:for-each>
				</rows>
			</questions>
			<!-- les sous-questions -->
			<subquestions>
				<fields>
					<fieldname>qid</fieldname>
					<fieldname>parent_qid</fieldname>
					<fieldname>gid</fieldname>
					<fieldname>title</fieldname>
					<fieldname>language</fieldname>
					<fieldname>type</fieldname>
					<fieldname>question</fieldname>
				</fields>
				<rows>
					<!-- on attaque le sous model 'rubrique' -->
					<xsl:for-each select="sp:rqeee">
						<!-- on stocke la position du groupe dans une variable de dialogue -->
						<xsl:value-of select="execute(setDialogVar('PositionGroup', position()))"/>
						<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'echelle')"/>
					</xsl:for-each>
				</rows>
			</subquestions>
			<!-- les options de réponses -->
			<answers>
				<fields>
					<fieldname>qid</fieldname>
					<fieldname>code</fieldname>
					<fieldname>answer</fieldname>
					<fieldname>sortorder</fieldname>
					<fieldname>language</fieldname>
				</fields>
				<rows>
					<!-- on attaque le sous model 'rubrique' -->
					<xsl:for-each select="sp:rqeee">
						<!-- on stocke la position du groupe dans une variable de dialogue -->
						<xsl:value-of select="execute(setDialogVar('PositionGroup', position()))"/>
						<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'options')"/>
					</xsl:for-each>
				</rows>
			</answers>
			<!-- les propriétés générales du sondage -->
			<surveys>
				<fields>
					<fieldname>anonymized</fieldname>
					<fieldname>allowprev</fieldname>
					<fieldname>showsurveypolicynotice</fieldname>
					<fieldname>showprogress</fieldname>
				</fields>
				<rows>
					<row>
						<anonymized>Y</anonymized>
						<allowprev>Y</allowprev>
						<showsurveypolicynotice>0</showsurveypolicynotice>
						<showprogress>Y</showprogress>
					</row>
				</rows>
			</surveys>
			<surveys_languagesettings>
				<fields>
					<fieldname>surveyls_language</fieldname>
					<fieldname>surveyls_title</fieldname>
					<fieldname>surveyls_welcometext</fieldname>
					<fieldname>surveyls_endtext</fieldname>
				</fields>
				<rows>
					<row>
						<surveyls_language>fr</surveyls_language>
						<surveyls_title>Questionnaire EEE</surveyls_title>
						<surveyls_welcometext>Bonjour</surveyls_welcometext>
						<surveyls_endtext>Merci de votre participation  !</surveyls_endtext>
					</row>
				</rows>
			</surveys_languagesettings>
			<themes>
				<theme>
					<template_name>Generique_bleu_unistra</template_name>
				</theme>
			</themes>
			<!-- on finalise le fichier -->
		</document>
	</xsl:template>
</xsl:stylesheet>
