<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<!-- on récupère le type de question -->
		<xsl:variable name="type" select="getContent(gotoMeta(),'')"/>
		<!-- on teste le type de question -->
		<xsl:if test="$type='echelle'">
			<ITEM REQUIRED="0" TYPE="multichoice">
				<ITEMTEXT>
					<!-- on attaque le sous model 'texte' -->
					<xsl:apply-templates select="sp:tqeee"/>
				</ITEMTEXT>
				<ITEMLABEL/>
				<PRESENTATION>r&gt;&gt;&gt;&gt;&gt;pas du tout d'accord|pas vraiment d'accord|assez d'accord|tout à fait d'accord&lt;&lt;&lt;&lt;&lt;1</PRESENTATION>
				<OPTIONS>h</OPTIONS>
			</ITEM>
		</xsl:if>
		<xsl:if test="$type='ouverte'">
			<ITEM REQUIRED="0" TYPE="textarea">
				<ITEMTEXT>
					<!-- on attaque le sous model 'texte' -->
					<xsl:apply-templates select="sp:tqeee"/>
				</ITEMTEXT>
				<ITEMLABEL/>
				<PRESENTATION>40|3</PRESENTATION>
				<OPTIONS/>
			</ITEM>
		</xsl:if>
		<xsl:if test="$type='numerique'">
			<ITEM REQUIRED="0" TYPE="numeric">
				<ITEMTEXT>
					<!-- on attaque le sous model 'texte' -->
					<xsl:apply-templates select="sp:tqeee"/>
				</ITEMTEXT>
				<ITEMLABEL/>
				<PRESENTATION>-|-</PRESENTATION>
				<OPTIONS/>
			</ITEM>
		</xsl:if>
	</xsl:template>
	<!-- template associé au model 'texte' -->
	<xsl:template match="sp:tqeee">
		<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
</xsl:stylesheet>
